/********************************************************************

Hardware profile for the PIC18F2550 based Atari Joystick Adaptor

********************************************************************/

#ifndef HARDWARE_PROFILE_H
#define HARDWARE_PROFILE_H

// Fosc frequency (48 Mhz)
#define _XTAL_FREQ 48000000

// Status LED
#define STATUS_LED	RA0
  
// Joystick inputs
#define	JOYSTICK_FORWARD	RB0
#define JOYSTICK_BACKWARD	RB2
#define JOYSTICK_LEFT		RB3
#define JOYSTICK_RIGHT		RB4
#define JOYSTICK_FIRE		RB1

// Joystick input mulitplexing ports
#define JOYSTICK1			RC0
#define JOYSTICK2			RC1

// Joystick ports
#define	PORT1	0
#define PORT2	1

// Joystick debounce amount (higher for more)
#define JOYSTICK_DEBOUNCE	5

// Joystick buttons
#define	FORWARD		0
#define BACKWARD	1
#define LEFT		2
#define RIGHT		3
#define FIRE		4

// IO pin direction definitions
#define INPUT_PIN 1
#define OUTPUT_PIN 0

// Other defines
#define OFF	0
#define ON	1

// Bus powered, so default bus sense to 1
#define USB_BUS_SENSE	1
#define self_power		0

#endif
